# Get the price for cloud disk upgrade - DescribeUDiskUpgradePrice

## Overview

Get UDisk upgrade price information






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeUDiskUpgradePrice`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.dezai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **Size** | int | Purchase UDisk size, unit: GB, ordinary data disk: range [1\~8000]; SSD data disk, essential SSD data disk: range [1\~8000]; ordinary system disk: range [1\~8000]; SSD system disk, essential SSD system disk: range [1\~4000]; RSSD data disk, essential RSSD data disk: range [1\~32000]; RSSD system disk, essential RSSD system disk: range [1\~4000]; high-efficiency data disk: range [1\~32000]; high-efficiency system disk: range [1\~500]. |**Yes**|
| **SourceId** | string | Upgrade Target UDisk ID |**Yes**|
| **UDataArkMode** | string | [Data Ark Access Has Been Disabled] Do you want to enable Data Ark? Yes: Enable, No: Disable, Default value: No |No|
| **SnapshotService** | string | Whether to enable snapshot service (Enabling snapshot service can activate UDataArk for free). Yes: Enable, No: Do not enable, Default value: No. Only the price of enabling snapshot service can be queried. |No|
| **DiskType** | string | [Deprecated] UDisk Types: DataDisk (Ordinary Data Disk), SSDDataDisk (SSD Data Disk), RSSDDataDisk (RSSD Data Disk), EfficiencyDataDisk (High-Efficiency Data Disk), SystemDisk (Ordinary System Disk), SSDSystemDisk (SSD System Disk), RSSDSystemDisk(RSSD System Disk), EfficiencySystemDisk (High-Efficiency System Disk), Default Value (DataDisk) |No|
| **MachineType** | string | [Deprecated] Cloud host model (V2.0), enumeration values ["N", "C", "G", "O", "OM"]. Refer to [Cloud host model description](api/uhost-api/uhost_type). |No|
| **BackupMode** | string | Snapshot Service Backup Strategy. Standard Cloud Disk, SSD Cloud Disk, RSSD Cloud Disk Package Options: "Base": Basic Edition, "Ultimate": Flagship Edition, "Custom": Custom Backup Chain, default to Basic Edition package activation; ESSD Cloud Disk, ERSSD Cloud Disk Package: "Lite": Lite Edition, default to Lite Edition package activation. |No|
| **Journal** | int | When BackupMode is set to Custom, settings are made based on multiples of 12 hours in seconds, such as 12, 24, 36, 48. |No|
| **Hour** | int | When BackupMode is set to Custom, settings are made on a 24-hour basis and multiplied, such as 24, 48, 72, 96. |No|
| **Day** | int | When BackupMode is set to Custom, settings are made based on a multiple of 5 days, such as 5, 10, 15, 20, 25, 30. |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **Price** | int | Price |No|
| **OriginalPrice** | int | User discounted price (corresponding to billing CustomPrice) |No|




## Example

### Request Example
    
```
https://api.dezai.com/udisk/?Action=DescribeUDiskUpgradePrice
&Region=cn-bj2
&Zone=cn-bj2-04
&Size=1   
&SourceId=bsm-xxx
&UDataArkMode =Yes
&DiskType = DataDisk
&MachineType=bSHaETUa
&SnapshotService=pYhGDMfE
&BackupMode=VfqsKIzi
&Journal=5
&Hour=5
&Day=7
```

### Response Example
    
```json
{
  "Action": "DescribeUDiskUpgradePriceResponse",
  "CustomPrice": 7,
  "Price": 222,
  "RetCode": 0
}
```





